<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="7b2155bf-b653-48bb-a8c9-42b2e6ed0281" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="510">
              <caret line="30" column="47" selection-start-line="30" selection-start-column="47" selection-end-line="30" selection-end-column="47" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/ostapiuk/AwardsCounter.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="356">
              <caret line="153" column="73" selection-start-line="153" selection-start-column="73" selection-end-line="153" selection-end-column="73" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>F</find>
      <find>awardsC</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/ostapiuk/PlayersAwardsCount.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ostapiuk/Main.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ostapiuk/OneMoreTry.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ostapiuk/Hmmm.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ostapiuk/PlayerAwardsCount.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ostapiuk/AwardsCount.java" />
        <option value="$PROJECT_DIR$/src/main/resources/address.txt" />
        <option value="$PROJECT_DIR$/src/main/resources/transactions.txt" />
        <option value="$PROJECT_DIR$/src/main/java/com/ostapiuk/Vers2.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ostapiuk/AC.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ostapiuk/AwardsCounter.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-7" />
    <option name="width" value="697" />
    <option name="height" value="735" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="bigdata_task1" type="b2602c69:ProjectViewProjectNode" />
              <item name="bigdata_task1" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bigdata_task1" type="b2602c69:ProjectViewProjectNode" />
              <item name="bigdata_task1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bigdata_task1" type="b2602c69:ProjectViewProjectNode" />
              <item name="bigdata_task1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bigdata_task1" type="b2602c69:ProjectViewProjectNode" />
              <item name="bigdata_task1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bigdata_task1" type="b2602c69:ProjectViewProjectNode" />
              <item name="bigdata_task1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="ostapiuk" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bigdata_task1" type="b2602c69:ProjectViewProjectNode" />
              <item name="bigdata_task1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bigdata_task1" type="b2602c69:ProjectViewProjectNode" />
              <item name="bigdata_task1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="output.csv" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bigdata_task1" type="b2602c69:ProjectViewProjectNode" />
              <item name="bigdata_task1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\bigdata_task1" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.ostapiuk" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="E:\bigdata_task1\src\main\resources" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.AwardsCounter">
    <configuration name="AwardsCount" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.ostapiuk.AwardsCount" />
      <module name="bigdata_task1" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.ostapiuk.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="AwardsCounter" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <envs>
        <env name="HADOOP_HOME" value="c:\spark" />
      </envs>
      <option name="MAIN_CLASS_NAME" value="com.ostapiuk.AwardsCounter" />
      <module name="bigdata_task1" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.ostapiuk.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Hmmm" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.ostapiuk.Hmmm" />
      <module name="bigdata_task1" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.ostapiuk.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="PlayerAwardsCount" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.ostapiuk.PlayerAwardsCount" />
      <module name="bigdata_task1" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.ostapiuk.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Vers2" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.ostapiuk.Vers2" />
      <module name="bigdata_task1" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.ostapiuk.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.AwardsCount" />
      <item itemvalue="Application.AwardsCounter" />
      <item itemvalue="Application.Hmmm" />
      <item itemvalue="Application.PlayerAwardsCount" />
      <item itemvalue="Application.Vers2" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.AwardsCounter" />
        <item itemvalue="Application.Vers2" />
        <item itemvalue="Application.AwardsCount" />
        <item itemvalue="Application.PlayerAwardsCount" />
        <item itemvalue="Application.Hmmm" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="7b2155bf-b653-48bb-a8c9-42b2e6ed0281" name="Default Changelist" comment="" />
      <created>1566919868687</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1566919868687</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.16641453" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.3289689" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.63175124" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info anchor="bottom" id="Event Log" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.3289689" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.24962178" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Maven" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
    </layout>
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ostapiuk/OneMoreTry.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ostapiuk/Main.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ostapiuk/PlayersAwardsCount.java" />
    <entry file="jar://$MAVEN_REPOSITORY$/commons-io/commons-io/2.5/commons-io-2.5.jar!/org/apache/commons/io/FileUtils.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="676" column="23" selection-start-line="676" selection-start-column="23" selection-end-line="676" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_171/src.zip!/java/lang/NumberFormatException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="67">
          <caret line="64" column="15" selection-start-line="64" selection-start-column="15" selection-end-line="64" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/scala-lang/scala-library/2.12.8/scala-library-2.12.8.jar!/scala/Tuple2.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-434">
          <caret line="15" column="13" selection-start-line="15" selection-start-column="13" selection-end-line="15" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/Master.csv">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="1" selection-start-line="1" selection-end-line="5" selection-end-column="109" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/AwardsPlayers.csv">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="1" selection-start-line="1" selection-end-line="5" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/out.csv" />
    <entry file="file://$PROJECT_DIR$/src/main/resources/transactions.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" column="29" selection-start-line="10" selection-start-column="29" selection-end-line="10" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/address.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="9" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ostapiuk/Hmmm.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ostapiuk/PlayerAwardsCount.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ostapiuk/Vers2.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ostapiuk/AwardsCount.java" />
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/spark/spark-core_2.12/2.4.4/spark-core_2.12-2.4.4.jar!/org/apache/spark/api/java/JavaRDD.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1165">
          <caret line="23" column="13" selection-start-line="23" selection-start-column="13" selection-end-line="23" selection-end-column="20" />
          <folding>
            <element signature="e#0#12041#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/spark/spark-core_2.12/2.4.4/spark-core_2.12-2.4.4.jar!/org/apache/spark/api/java/function/PairFunction.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="11" column="17" selection-start-line="11" selection-start-column="17" selection-end-line="11" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/out.txt" />
    <entry file="file://$PROJECT_DIR$/src/main/resources/out.csv">
      <provider editor-type-id="csv-table-editor">
        <state showInfoPanel="true" fixedHeaders="false" rowLines="3" />
      </provider>
      <provider selected="true" editor-type-id="csv-text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/out.txt">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="510">
          <caret line="30" column="47" selection-start-line="30" selection-start-column="47" selection-end-line="30" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/spark/spark-core_2.12/2.4.4/spark-core_2.12-2.4.4.jar!/org/apache/spark/api/java/JavaPairRDD.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="110" column="29" selection-start-line="110" selection-start-column="29" selection-end-line="110" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/a.txt/_temporary/0/_temporary/attempt_20190910205107_0015_m_000000_0/part-00000">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/a.txt/_temporary/0/_temporary/attempt_20190910205107_0015_m_000000_0/.part-00000.crc">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/hadoop/hadoop-common/2.6.5/hadoop-common-2.6.5.jar!/org/apache/hadoop/util/Shell.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="423">
          <caret line="567" selection-start-line="567" selection-end-line="567" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/spark/spark-core_2.12/2.4.4/spark-core_2.12-2.4.4.jar!/org/apache/spark/api/java/AbstractJavaRDDLike.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="62" column="26" selection-start-line="62" selection-start-column="26" selection-end-line="62" selection-end-column="26" />
          <folding>
            <element signature="e#2916#2917#0" expanded="true" />
            <element signature="e#2964#2965#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/output.txt/part-00000">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/output.csv/part-00000">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ostapiuk/AwardsCounter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="356">
          <caret line="153" column="73" selection-start-line="153" selection-start-column="73" selection-end-line="153" selection-end-column="73" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>bigdata_task1</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>